Bug 1248778 - Operating System created by syncing KS repo is not associating ptable and templates
Operating System created by syncing KS repo is not associating ptable and tem...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Content Management (Show other bugs)
6.1.0
Unspecified Unspecified
unspecified Severity high (vote)
: Unspecified
: --
Assigned To: Brad Buckingham
Tazim Kolhar
: Regression, Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-07-30 15:46 EDT by Brad Buckingham
Modified: 2017-02-23 14:48 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-08-12 12:03:00 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Brad Buckingham 2015-07-30 15:46:19 EDT
Description of problem:

Syncing a kickstart repository no longer associates partition table and configuration templates with the Operating System created.

Version-Release number of selected component (if applicable):
ruby193-rubygem-katello-2.2.0.60-1.el7sat.noarch

How reproducible:
always

Steps to Reproduce:
1. enable a RH kickstart repository (e.g. 6.7)
2. sync it
3.

Actual results:
An operating system is created; however, partition table and templates are not associated with it.

Expected results:
An operating system is created and the partition table and templates defined by Setting -> Katello are associated with it.

Additional info:
Comment 5 Mike McCune 2015-07-30 18:57:39 EDT
This is a regression from 6.0
Comment 7 Tazim Kolhar 2015-07-31 02:55:14 EDT
VERIFIED:
# rpm -qa | grep foreman
foreman-1.7.2.33-1.el7sat.noarch
ruby193-rubygem-foreman-redhat_access-0.2.1-1.el7sat.noarch
foreman-vmware-1.7.2.33-1.el7sat.noarch
rubygem-hammer_cli_foreman-0.1.4.14-1.el7sat.noarch
ruby193-rubygem-foreman_gutterball-0.0.1.9-1.el7sat.noarch
foreman-postgresql-1.7.2.33-1.el7sat.noarch
foreman-debug-1.7.2.33-1.el7sat.noarch
foreman-gce-1.7.2.33-1.el7sat.noarch
ruby193-rubygem-foreman_hooks-0.3.7-2.el7sat.noarch
rubygem-hammer_cli_foreman_bootdisk-0.1.2.7-1.el7sat.noarch
rubygem-hammer_cli_foreman_docker-0.0.3.9-1.el7sat.noarch
ruby193-rubygem-foreman_docker-1.2.0.18-1.el7sat.noarch
ruby193-rubygem-foreman_discovery-2.0.0.19-1.el7sat.noarch
rubygem-hammer_cli_foreman_discovery-0.0.1.10-1.el7sat.noarch
foreman-proxy-1.7.2.5-1.el7sat.noarch
hp-z600-01.rhts.eng.bos.redhat.com-foreman-client-1.0-1.noarch
hp-z600-01.rhts.eng.bos.redhat.com-foreman-proxy-client-1.0-1.noarch
foreman-ovirt-1.7.2.33-1.el7sat.noarch
rubygem-hammer_cli_foreman_tasks-0.0.3.5-1.el7sat.noarch
foreman-selinux-1.7.2.13-1.el7sat.noarch
ruby193-rubygem-foreman_bootdisk-4.0.2.13-1.el7sat.noarch
hp-z600-01.rhts.eng.bos.redhat.com-foreman-proxy-1.0-1.noarch
foreman-compute-1.7.2.33-1.el7sat.noarch
ruby193-rubygem-foreman-tasks-0.6.15.4-1.el7sat.noarch
foreman-libvirt-1.7.2.33-1.el7sat.noarch

steps:
1. enable a RH kickstart repository (e.g. 6.7)
2. sync it
An operating system is created and the partition table and templates defined by Setting -> Katello are associated with it.
Comment 8 Bryan Kearney 2015-08-12 12:03:00 EDT
This bug was fixed in Satellite 6.1.1 which was delivered on 12 August, 2015.

Note You need to log in before you can comment on or make changes to this bug.